--- /dev/null	Fri Nov 22 15:22:25 2013
+++ new/usr/src/test/zfs-tests/tests/functional/utils_test/utils_test.kshlib	Fri Nov 22 15:22:25 2013
@@ -0,0 +1,50 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
+# Use is subject to license terms.
+#
+
+#
+# Copyright (c) 2013 by Delphix. All rights reserved.
+#
+. $STF_SUITE/tests/functional/utils_test/utils_test.cfg
+
+#
+# Given a number of files, this function will iterate through
+# the loop creating the specified number of files. The default
+# values from the .cfg file are used for block size, number of
+# writes per file and the contents of the file.
+#
+# Returns the errno if any of the writes fail.
+#
+function populate_dir # num_files
+{
+	typeset -i num_files=$1
+
+	typeset -i filenum=0
+	while (( filenum < num_files )); do
+		log_must $FILE_WRITE -o create -c $WRITE_COUNT \
+		    -f $TESTDIR/$TESTFILE.$filenum -b $BLOCKSZ -d $DATA
+		(( filenum = filenum + 1 ))
+	done
+}
